Bug 275011 - Bind crashes on startup
Bind crashes on startup
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: bind (Show other bugs)
rawhide
All All
medium Severity medium
: ---
: ---
Assigned To: Adam Tkac
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-03 04:58 EDT by Tomas Mraz
Modified: 2013-04-30 19:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-06 04:14:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
My config file (1.07 KB, text/plain)
2007-09-03 04:58 EDT, Tomas Mraz
no flags Details
Full backtrace of all threads (8.87 KB, text/plain)
2007-09-05 08:56 EDT, Tomas Mraz
no flags Details
This should fix it (1.03 KB, patch)
2007-09-05 10:25 EDT, Tomas Mraz
no flags Details | Diff

  None (edit)
Description Tomas Mraz 2007-09-03 04:58:59 EDT
Bind crashes on startup with the following in the system log:

Sep  3 08:03:38 vespa named[3044]: starting BIND 9.5.0a6 -u named -t /var/named/
chroot
Sep  3 08:03:38 vespa named[3044]: found 2 CPUs, using 2 worker threads
Sep  3 08:03:38 vespa named[3044]: SDB ldap zone database module loaded.
Sep  3 08:03:38 vespa named[3044]: SDB postgreSQL DB zone database module loaded
.
Sep  3 08:03:38 vespa named[3044]: SDB sqlite3 DB zone database module loaded.
Sep  3 08:03:38 vespa named[3044]: SDB directory DB zone database module loaded.
Sep  3 08:03:38 vespa named[3044]: loading configuration from '/etc/named.conf'
Sep  3 08:03:38 vespa named[3044]: listening on IPv4 interface lo, 127.0.0.1#53
Sep  3 08:03:38 vespa named[3044]: listening on IPv4 interface eth0, 192.168.100
.110#53
Sep  3 08:03:38 vespa named[3044]: listening on IPv4 interface eth0:1, 172.27.27
.5#53
Sep  3 08:03:38 vespa named[3044]: listening on IPv4 interface tun0, 10.32.4.33#
53
Sep  3 08:03:38 vespa kernel: named[3045]: segfault at 0000000000000000 rip 0000
2aaaaafd8e80 rsp 00000000409fef80 error 4

The crash doesn't happen when SELinux is not enforcing or when the named process
is not run in its confined domain.

I'm running named in the chroot environment.
(bind-9.5.0-11.a6.fc8.x86_64)
Comment 1 Tomas Mraz 2007-09-03 04:58:59 EDT
Created attachment 185141 [details]
My config file
Comment 2 Tomas Mraz 2007-09-03 05:12:00 EDT
So bind now seems to bind to port 7011 for some reason and it is denied by SELinux:

avc: denied { name_bind } for comm="named" egid=25 euid=25 exe="/usr/sbin/named"
exit=-13 fsgid=25 fsuid=25 gid=25 items=0 pid=1002
scontext=system_u:system_r:named_t:s0 sgid=25 src=7011
subj=system_u:system_r:named_t:s0 suid=25 tclass=udp_socket
tcontext=system_u:object_r:port_t:s0 tty=(none) uid=25 

Bind should fail gracefully in this situation and not crash!
Comment 3 Tomas Mraz 2007-09-05 08:56:46 EDT
Created attachment 187361 [details]
Full backtrace of all threads

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 1094719824 (LWP 12643)]
0x00002aaaaafd90b0 in dns_resolver_createdispatchpool (res=0x2aaaaab21010, 
    ndisps=8, tick=900) at resolver.c:7459
7459			if (res->dispatchv4pool[i] != NULL)

Full backtrace in attachment.
Comment 4 Tomas Mraz 2007-09-05 10:25:12 EDT
Created attachment 187471 [details]
This should fix it

This patch should fix it - unverified.
Comment 5 Adam Tkac 2007-09-06 04:14:46 EDT
Thanks for patch, makes sence. Will be fixed in 9.5.0-12.a6

Note You need to log in before you can comment on or make changes to this bug.